tsctp(1)

NAME
tsctp - SCTP Test Tool

SYNOPSIS
tsctp [-a indication] [-A type] [-D] [-f fragmentation_point] [-l buffersize] [-L local_address] [-n number_of_messages] [-p port] [-R rcvbufsize] [-S sndbufsize] [-t timetolive] [-T runtime] [-u] [-U udp_port] [-v] [-V] [-4] [-6] [remote_address]

DESCRIPTION
tsctp is an SCTP test tool. It can be used to make basic tests with the SCTP protocol. For the tool to work, the kernel needs to support SCTP, i.e. sockets with protocol IPPROTO_SCTP.

Linux: echo sctp >/etc/modules-load.d/sctp.conf
    Then, reboot to load the module. Note: Ensure that the SCTP module is not blacklisted (e.g. /etc/modprobe.d/sctp-blacklist.conf in Fedora Linux)!

FreeBSD: echo 'sctp_load="YES"' >>/boot/loader.conf
    Then, reboot to load the module.

ARGUMENTS
The following arguments may be provided:

-a indication
    Set adaptation layer indication.

-A type
    Set chunk type to authenticate .

-D  Turns Nagle off.

-f fragmentation_point
    Set fragmentation point.

-l buffersize
    Set size of send/receive buffer. For sending messages, this means the message size!

-L local_address
    Set local address.

-n number_of_messages
    Set number of messages to be sent (0 means infinite)/received.

-p port
    Set port number.

-R rcvbufsize
    Set socket recv buffer.

-S sndbufsize
    Set socket send buffer.

-t timetolive
    Set time to live for messages.

-T runtime
    Set time to send messages.

-u  Set use of unordered messages.

-U udp_port
    Use UDP encapsulation with given port.

-v  Enable verbose output.

-V  Enable very verbose output.

-4  Use IPv4 only.

-6  Use IPv6 only.

remote_address
    If a remote address is given, the client mode is used. Then, tsctp connects the socket to the given remote address. Otherwise, without given remote address, the server mode is used. Then, tsctp listens for incoming connections.

EXAMPLES

tsctp -L :: -L 0.0.0.0 -p 1234
    Server mode: bind to all IPv4 and IPv6 addresses, listen on port 1234.

tsctp -L :: -L 0.0.0.0 -n 10 -l 1000 -p 1234 127.0.0.1
    Client mode: bind to all IPv4 and IPv6 addresses, connect to localhost (127.0.0.1) on port 1234, send 10 messages of 1000 bytes each.

tsctp -L :: -L 0.0.0.0 -n 0 -T 10 -l 4096 -p 1234 127.0.0.1
    Client mode: bind to all IPv4 and IPv6 addresses, connect to localhost (127.0.0.1) on port 1234, send unlimited number of messages of 4096 bytes each, stop after 10 s.

AUTHORS
Michael Tüxen, Robin Seggelmann, Irene Rüngeler, Thomas Dreibholz
https://www.nntb.no/~dreibh/tsctp